## telepathy-qt4 0.2.0-1maemo5

=== tests/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/telepathy-qt4
pkglibdir = $(libdir)/telepathy-qt4
pkgincludedir = $(includedir)/telepathy-qt4
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
noinst_PROGRAMS = $(am__EXEEXT_1)
subdir = tests
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = test-key-file$(EXEEXT) test-manager-file$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am_test_key_file_OBJECTS = key-file.$(OBJEXT)
test_key_file_OBJECTS = $(am_test_key_file_OBJECTS)
test_key_file_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
test_key_file_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	${top_builddir}/TelepathyQt4/libtelepathy-qt4.la
am_test_manager_file_OBJECTS = manager-file.$(OBJEXT)
test_manager_file_OBJECTS = $(am_test_manager_file_OBJECTS)
test_manager_file_LDADD = $(LDADD)
test_manager_file_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	${top_builddir}/TelepathyQt4/libtelepathy-qt4.la
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(test_key_file_SOURCES) $(test_manager_file_SOURCES)
DIST_SOURCES = $(test_key_file_SOURCES) $(test_manager_file_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run automake-1.9
AWK = gawk
CC = cc -std=gnu99
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -mthumb
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DX_COND_chi_FALSE = 
DX_COND_chi_TRUE = #
DX_COND_chm_FALSE = 
DX_COND_chm_TRUE = #
DX_COND_doc_FALSE = #
DX_COND_doc_TRUE = 
DX_COND_dot_FALSE = #
DX_COND_dot_TRUE = 
DX_COND_html_FALSE = #
DX_COND_html_TRUE = 
DX_COND_latex_FALSE = 
DX_COND_latex_TRUE = #
DX_COND_man_FALSE = 
DX_COND_man_TRUE = #
DX_COND_pdf_FALSE = 
DX_COND_pdf_TRUE = #
DX_COND_ps_FALSE = 
DX_COND_ps_TRUE = #
DX_COND_rtf_FALSE = 
DX_COND_rtf_TRUE = #
DX_COND_xml_FALSE = 
DX_COND_xml_TRUE = #
DX_CONFIG = doxygen.cfg
DX_DOCDIR = doc
DX_DOT = /scratchbox/devkits/doctools/bin/dot
DX_DOXYGEN = /scratchbox/devkits/doctools/bin/doxygen
DX_DVIPS = 
DX_EGREP = 
DX_ENV =  SRCDIR='.' PROJECT='TelepathyQt4' DOCDIR='doc' VERSION='0.2.0' PERL_PATH='/scratchbox/tools/bin/perl' HAVE_DOT='YES' DOT_PATH='/scratchbox/devkits/doctools/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 1
DX_FLAG_html = 1
DX_FLAG_man = 0
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /scratchbox/tools/bin/perl
DX_PROJECT = TelepathyQt4
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_CODING_STYLE_CHECKS = no
ENABLE_TP_FARSIGHT_FALSE = #
ENABLE_TP_FARSIGHT_TRUE = 
ENABLE_TP_GLIB_TESTS_FALSE = #
ENABLE_TP_GLIB_TESTS_TRUE = 
ERROR_CFLAGS =  -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
ERROR_CXXFLAGS =  -Wall -Wextra -Wsign-compare -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
HAVE_QTGUI_FALSE = #
HAVE_QTGUI_TRUE = 
HAVE_TEST_PYTHON_FALSE = #
HAVE_TEST_PYTHON_TRUE = 
HAVE_VERSION_SCRIPT_ARG_FALSE = #
HAVE_VERSION_SCRIPT_ARG_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,-O1
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
MAKEINFO = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run makeinfo
MOC = /opt/qt4-maemo5/bin/moc
NMEDIT = 
OBJEXT = o
OFFICIAL_RELEASE_FALSE = #
OFFICIAL_RELEASE_TRUE = 
PACKAGE = telepathy-qt4
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Telepathy&component=telepathy-qt4
PACKAGE_NAME = Telepathy-Qt4
PACKAGE_STRING = Telepathy-Qt4 0.2.0
PACKAGE_TARNAME = telepathy-qt4
PACKAGE_VERSION = 0.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYTHON = /usr/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
QTCORE_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtCore  
QTCORE_LIBS = -L/opt/qt4-maemo5/lib -lQtCore  
QTDBUS_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtXml  
QTDBUS_LIBS = -L/opt/qt4-maemo5/lib -lQtDBus -lQtXml -lQtCore  
QTGUI_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtCore  
QTGUI_LIBS = -L/opt/qt4-maemo5/lib -lQtGui -lQtCore  
QTNETWORK_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtXml  
QTNETWORK_LIBS = -L/opt/qt4-maemo5/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore  
QTTEST_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtTest  
QTTEST_LIBS = -L/opt/qt4-maemo5/lib -lQtTest  
RANLIB = ranlib
RCC = /opt/qt4-maemo5/bin/rcc
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEST_PYTHON = /usr/bin/python2.5
TP_FARSIGHT_CFLAGS = -pthread -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gstreamer-0.10 -I/usr/lib/dbus-1.0/include -I/usr/include/libxml2  
TP_FARSIGHT_LIBS = -pthread -ltelepathy-farsight -lgstinterfaces-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
TP_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
TP_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
TP_QT4_CFLAGS = -I${top_builddir} -I${top_srcdir}
VERSION = 0.2.0
VERSION_SCRIPT_ARG = -Wl,--version-script
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = /usr/share/doc/libtelepathy-qt4-doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/telepathy-qt4
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/telepathy-qt4
pkgpythondir = ${pythondir}/telepathy-qt4
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 

# compile lib/ first, so it can be used by tests in the other directories
SUBDIRS = \
    lib \
    dbus


# Standalone tests that don't touch D-Bus
TESTS = \
    test-key-file \
    test-manager-file

test_key_file_SOURCES = \
    key-file.cpp

test_manager_file_SOURCES = \
    manager-file.cpp

BUILT_SOURCES = \
    _gen/key-file.cpp.moc.hpp \
    _gen/manager-file.cpp.moc.hpp

LDADD = \
    $(QTCORE_LIBS) \
    $(QTDBUS_LIBS) \
    $(QTTEST_LIBS) \
    ${top_builddir}/TelepathyQt4/libtelepathy-qt4.la

AM_CPPFLAGS = \
    -I$(top_srcdir) -I$(top_builddir) \
    $(QTCORE_CFLAGS) \
    $(QTDBUS_CFLAGS) \
    $(QTTEST_CFLAGS)

AM_CXXFLAGS = \
    $(ERROR_CXXFLAGS)

TESTS_ENV = \
    abs_top_builddir=/home/kathy/sb/fremantle/telepathy-qt4-0.2.0 \
    abs_top_srcdir=/home/kathy/sb/fremantle/telepathy-qt4-0.2.0 \
    XDG_DATA_HOME=/home/kathy/sb/fremantle/telepathy-qt4-0.2.0/tests \
    XDG_DATA_DIRS=/home/kathy/sb/fremantle/telepathy-qt4-0.2.0/tests

TESTS_ENVIRONMENT = \
    $(TESTS_ENV)

CLEANFILES = \
    $(BUILT_SOURCES)

EXTRA_DIST = \
    README \
    dbus-1/services/account-manager.service.in \
    dbus-1/services/spurious.service \
    telepathy/managers/spurious.manager \
    telepathy/managers/test-manager-file.manager \
    telepathy/managers/test-manager-file-invalid-signature.manager \
    telepathy/managers/test-manager-file-malformed-keyfile.manager \

=== tests/dbus/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tests/dbus/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Tests each run under their own temporary dbus-daemon.

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/telepathy-qt4
pkglibdir = $(libdir)/telepathy-qt4
pkgincludedir = $(includedir)/telepathy-qt4
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
noinst_PROGRAMS = $(am__EXEEXT_4)

# Tests which can only be run if we have suitable versions of Python and
# dbus-python
am__append_1 = \
    test-account-basics

am__append_2 = \
    _gen/account-basics.cpp.moc.hpp


# Tests which can only be run if we have suitable versions of Python and
# dbus-python and telepathy-glib, and Qt was compiled to use the Glib main loop
am__append_3 = \
    test-account-channel-dispatcher \
    test-client

am__append_4 = \
    _gen/account-channel-dispatcher.cpp.moc.hpp \
    _gen/client.cpp.moc.hpp


# Tests which can only be run if we have telepathy-glib, and Qt was compiled
# to use the GLib main loop
am__append_5 = \
    test-chan-basics \
    test-chan-group \
    test-cm-basics \
    test-conn-basics \
    test-conn-capabilities \
    test-conn-requests \
    test-conn-roster \
    test-conn-roster-groups \
    test-contacts \
    test-contacts-capabilities \
    test-handles \
    test-stateful-proxy \
    test-streamed-media-chan \
    test-text-chan

am__append_6 = \
    _gen/chan-basics.cpp.moc.hpp \
    _gen/chan-group.cpp.moc.hpp \
    _gen/cm-basics.cpp.moc.hpp \
    _gen/conn-basics.cpp.moc.hpp \
    _gen/conn-capabilities.cpp.moc.hpp \
    _gen/conn-requests.cpp.moc.hpp \
    _gen/conn-roster.cpp.moc.hpp \
    _gen/conn-roster-groups.cpp.moc.hpp \
    _gen/contacts.cpp.moc.hpp \
    _gen/contacts-capabilities.cpp.moc.hpp \
    _gen/handles.cpp.moc.hpp \
    _gen/stateful-proxy.cpp.moc.hpp \
    _gen/streamed-media-chan.cpp.moc.hpp \
    _gen/text-chan.cpp.moc.hpp

am__append_7 = $(TP_GLIB_CFLAGS)
subdir = tests/dbus
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = test-account-basics$(EXEEXT)
am__EXEEXT_2 = test-account-channel-dispatcher$(EXEEXT) \
	test-client$(EXEEXT)
am__EXEEXT_3 = test-chan-basics$(EXEEXT) \
	test-chan-group$(EXEEXT) \
	test-cm-basics$(EXEEXT) \
	test-conn-basics$(EXEEXT) \
	test-conn-capabilities$(EXEEXT) \
	test-conn-requests$(EXEEXT) \
	test-conn-roster$(EXEEXT) \
	test-conn-roster-groups$(EXEEXT) \
	test-contacts$(EXEEXT) \
	test-contacts-capabilities$(EXEEXT) \
	test-handles$(EXEEXT) \
	test-stateful-proxy$(EXEEXT) \
	test-streamed-media-chan$(EXEEXT) \
	test-text-chan$(EXEEXT)
am__EXEEXT_4 = test-do-nothing$(EXEEXT) $(am__EXEEXT_1) \
	$(am__EXEEXT_2) $(am__EXEEXT_3)
PROGRAMS = $(noinst_PROGRAMS)
am__test_account_basics_SOURCES_DIST = account-basics.cpp
am_test_account_basics_OBJECTS =  \
	account-basics.$(OBJEXT)
test_account_basics_OBJECTS = $(am_test_account_basics_OBJECTS)
test_account_basics_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
test_account_basics_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	${top_builddir}/tests/lib/libtp-qt4-tests.la \
	${top_builddir}/TelepathyQt4/libtelepathy-qt4.la
am__test_account_channel_dispatcher_SOURCES_DIST =  \
	account-channel-dispatcher.cpp
am_test_account_channel_dispatcher_OBJECTS = account-channel-dispatcher.$(OBJEXT)
test_account_channel_dispatcher_OBJECTS =  \
	$(am_test_account_channel_dispatcher_OBJECTS)
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) \
	${top_builddir}/tests/lib/libtp-qt4-tests.la \
	${top_builddir}/TelepathyQt4/libtelepathy-qt4.la
test_account_channel_dispatcher_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_chan_basics_SOURCES_DIST = chan-basics.cpp
am_test_chan_basics_OBJECTS =  \
	chan-basics.$(OBJEXT)
test_chan_basics_OBJECTS = $(am_test_chan_basics_OBJECTS)
test_chan_basics_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
am__test_chan_group_SOURCES_DIST = chan-group.cpp
am_test_chan_group_OBJECTS =  \
	chan-group.$(OBJEXT)
test_chan_group_OBJECTS = $(am_test_chan_group_OBJECTS)
test_chan_group_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/csh/libtp-glib-csh-tests.la
am__test_client_SOURCES_DIST = client.cpp
am_test_client_OBJECTS = client.$(OBJEXT)
test_client_OBJECTS = $(am_test_client_OBJECTS)
test_client_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_cm_basics_SOURCES_DIST = cm-basics.cpp
am_test_cm_basics_OBJECTS =  \
	cm-basics.$(OBJEXT)
test_cm_basics_OBJECTS = $(am_test_cm_basics_OBJECTS)
test_cm_basics_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_conn_basics_SOURCES_DIST = conn-basics.cpp
am_test_conn_basics_OBJECTS =  \
	conn-basics.$(OBJEXT)
test_conn_basics_OBJECTS = $(am_test_conn_basics_OBJECTS)
test_conn_basics_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_conn_capabilities_SOURCES_DIST = conn-capabilities.cpp
am_test_conn_capabilities_OBJECTS =  \
	conn-capabilities.$(OBJEXT)
test_conn_capabilities_OBJECTS = $(am_test_conn_capabilities_OBJECTS)
test_conn_capabilities_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
am__test_conn_requests_SOURCES_DIST = conn-requests.cpp
am_test_conn_requests_OBJECTS =  \
	conn-requests.$(OBJEXT)
test_conn_requests_OBJECTS = $(am_test_conn_requests_OBJECTS)
test_conn_requests_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
am__test_conn_roster_SOURCES_DIST = conn-roster.cpp
am_test_conn_roster_OBJECTS =  \
	conn-roster.$(OBJEXT)
test_conn_roster_OBJECTS = $(am_test_conn_roster_OBJECTS)
test_conn_roster_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/contactlist/libexample-cm-contactlist.la
am__test_conn_roster_groups_SOURCES_DIST = conn-roster-groups.cpp
am_test_conn_roster_groups_OBJECTS =  \
	conn-roster-groups.$(OBJEXT)
test_conn_roster_groups_OBJECTS =  \
	$(am_test_conn_roster_groups_OBJECTS)
test_conn_roster_groups_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/contactlist/libexample-cm-contactlist.la
am__test_contacts_SOURCES_DIST = contacts.cpp
am_test_contacts_OBJECTS =  \
	contacts.$(OBJEXT)
test_contacts_OBJECTS = $(am_test_contacts_OBJECTS)
test_contacts_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_contacts_capabilities_SOURCES_DIST =  \
	contacts-capabilities.cpp
am_test_contacts_capabilities_OBJECTS =  \
	contacts-capabilities.$(OBJEXT)
test_contacts_capabilities_OBJECTS =  \
	$(am_test_contacts_capabilities_OBJECTS)
test_contacts_capabilities_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am_test_do_nothing_OBJECTS = do-nothing.$(OBJEXT)
test_do_nothing_OBJECTS = $(am_test_do_nothing_OBJECTS)
test_do_nothing_LDADD = $(LDADD)
test_do_nothing_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	${top_builddir}/tests/lib/libtp-qt4-tests.la \
	${top_builddir}/TelepathyQt4/libtelepathy-qt4.la
am__test_handles_SOURCES_DIST = handles.cpp
am_test_handles_OBJECTS =  \
	handles.$(OBJEXT)
test_handles_OBJECTS = $(am_test_handles_OBJECTS)
test_handles_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_stateful_proxy_SOURCES_DIST = stateful-proxy.cpp
am_test_stateful_proxy_OBJECTS =  \
	stateful-proxy.$(OBJEXT)
test_stateful_proxy_OBJECTS = $(am_test_stateful_proxy_OBJECTS)
test_stateful_proxy_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_streamed_media_chan_SOURCES_DIST = streamed-media-chan.cpp
am_test_streamed_media_chan_OBJECTS =  \
	streamed-media-chan.$(OBJEXT)
test_streamed_media_chan_OBJECTS =  \
	$(am_test_streamed_media_chan_OBJECTS)
test_streamed_media_chan_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_text_chan_SOURCES_DIST = text-chan.cpp
am_test_text_chan_OBJECTS =  \
	text-chan.$(OBJEXT)
test_text_chan_OBJECTS = $(am_test_text_chan_OBJECTS)
test_text_chan_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la \
	$(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(test_account_basics_SOURCES) \
	$(test_account_channel_dispatcher_SOURCES) \
	$(test_chan_basics_SOURCES) $(test_chan_group_SOURCES) \
	$(test_client_SOURCES) $(test_cm_basics_SOURCES) \
	$(test_conn_basics_SOURCES) $(test_conn_capabilities_SOURCES) \
	$(test_conn_requests_SOURCES) $(test_conn_roster_SOURCES) \
	$(test_conn_roster_groups_SOURCES) $(test_contacts_SOURCES) \
	$(test_contacts_capabilities_SOURCES) \
	$(test_do_nothing_SOURCES) $(test_handles_SOURCES) \
	$(test_stateful_proxy_SOURCES) \
	$(test_streamed_media_chan_SOURCES) $(test_text_chan_SOURCES)
DIST_SOURCES = $(am__test_account_basics_SOURCES_DIST) \
	$(am__test_account_channel_dispatcher_SOURCES_DIST) \
	$(am__test_chan_basics_SOURCES_DIST) \
	$(am__test_chan_group_SOURCES_DIST) \
	$(am__test_client_SOURCES_DIST) \
	$(am__test_cm_basics_SOURCES_DIST) \
	$(am__test_conn_basics_SOURCES_DIST) \
	$(am__test_conn_capabilities_SOURCES_DIST) \
	$(am__test_conn_requests_SOURCES_DIST) \
	$(am__test_conn_roster_SOURCES_DIST) \
	$(am__test_conn_roster_groups_SOURCES_DIST) \
	$(am__test_contacts_SOURCES_DIST) \
	$(am__test_contacts_capabilities_SOURCES_DIST) \
	$(test_do_nothing_SOURCES) $(am__test_handles_SOURCES_DIST) \
	$(am__test_stateful_proxy_SOURCES_DIST) \
	$(am__test_streamed_media_chan_SOURCES_DIST) \
	$(am__test_text_chan_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #

=== tests/lib/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tests/lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/telepathy-qt4
pkglibdir = $(libdir)/telepathy-qt4
pkgincludedir = $(includedir)/telepathy-qt4
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi

# Currently, the csh and echo2 subdirectories contain hacked-up versions of
# the telepathy-glib examples. In future we should fix this divergence and
# make them behave like the echo subdirectory instead. However, until then,
# we need to compile this directory before those subdirectories.
am__append_1 = callable contactlist echo . \
	csh echo2
am__append_2 = $(TP_GLIB_CFLAGS)
am__append_3 = libtp-glib-tests.la
subdir = tests/lib
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libtp_glib_tests_la_DEPENDENCIES =  \
	$(am__DEPENDENCIES_1) \
	callable/libexample-cm-callable.la \
	echo/libexample-cm-echo.la \
	contactlist/libexample-cm-contactlist.la
am__libtp_glib_tests_la_SOURCES_DIST = contacts-conn.c contacts-conn.h \
	debug.h simple-conn.c simple-conn.h simple-manager.c \
	simple-manager.h
am_libtp_glib_tests_la_OBJECTS =  \
	contacts-conn.lo simple-conn.lo \
	simple-manager.lo
libtp_glib_tests_la_OBJECTS = $(am_libtp_glib_tests_la_OBJECTS)
am_libtp_glib_tests_la_rpath =
libtp_qt4_tests_la_DEPENDENCIES =  \
	$(top_builddir)/TelepathyQt4/libtelepathy-qt4.la
am_libtp_qt4_tests_la_OBJECTS = test.lo
libtp_qt4_tests_la_OBJECTS = $(am_libtp_qt4_tests_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libtp_glib_tests_la_SOURCES) $(libtp_qt4_tests_la_SOURCES)
DIST_SOURCES = $(am__libtp_glib_tests_la_SOURCES_DIST) \
	$(libtp_qt4_tests_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = callable contactlist echo . csh echo2
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run automake-1.9
AWK = gawk
CC = cc -std=gnu99
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -mthumb
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DX_COND_chi_FALSE = 
DX_COND_chi_TRUE = #
DX_COND_chm_FALSE = 
DX_COND_chm_TRUE = #
DX_COND_doc_FALSE = #
DX_COND_doc_TRUE = 
DX_COND_dot_FALSE = #
DX_COND_dot_TRUE = 
DX_COND_html_FALSE = #
DX_COND_html_TRUE = 
DX_COND_latex_FALSE = 
DX_COND_latex_TRUE = #
DX_COND_man_FALSE = 
DX_COND_man_TRUE = #
DX_COND_pdf_FALSE = 
DX_COND_pdf_TRUE = #
DX_COND_ps_FALSE = 
DX_COND_ps_TRUE = #
DX_COND_rtf_FALSE = 
DX_COND_rtf_TRUE = #
DX_COND_xml_FALSE = 
DX_COND_xml_TRUE = #
DX_CONFIG = doxygen.cfg
DX_DOCDIR = doc
DX_DOT = /scratchbox/devkits/doctools/bin/dot
DX_DOXYGEN = /scratchbox/devkits/doctools/bin/doxygen
DX_DVIPS = 
DX_EGREP = 
DX_ENV =  SRCDIR='.' PROJECT='TelepathyQt4' DOCDIR='doc' VERSION='0.2.0' PERL_PATH='/scratchbox/tools/bin/perl' HAVE_DOT='YES' DOT_PATH='/scratchbox/devkits/doctools/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 1
DX_FLAG_html = 1
DX_FLAG_man = 0
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /scratchbox/tools/bin/perl
DX_PROJECT = TelepathyQt4
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_CODING_STYLE_CHECKS = no
ENABLE_TP_FARSIGHT_FALSE = #
ENABLE_TP_FARSIGHT_TRUE = 
ENABLE_TP_GLIB_TESTS_FALSE = #
ENABLE_TP_GLIB_TESTS_TRUE = 
ERROR_CFLAGS =  -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
ERROR_CXXFLAGS =  -Wall -Wextra -Wsign-compare -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
HAVE_QTGUI_FALSE = #
HAVE_QTGUI_TRUE = 
HAVE_TEST_PYTHON_FALSE = #
HAVE_TEST_PYTHON_TRUE = 
HAVE_VERSION_SCRIPT_ARG_FALSE = #
HAVE_VERSION_SCRIPT_ARG_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,-O1
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
MAKEINFO = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run makeinfo
MOC = /opt/qt4-maemo5/bin/moc
NMEDIT = 
OBJEXT = o
OFFICIAL_RELEASE_FALSE = #
OFFICIAL_RELEASE_TRUE = 
PACKAGE = telepathy-qt4
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Telepathy&component=telepathy-qt4
PACKAGE_NAME = Telepathy-Qt4
PACKAGE_STRING = Telepathy-Qt4 0.2.0
PACKAGE_TARNAME = telepathy-qt4
PACKAGE_VERSION = 0.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYTHON = /usr/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
QTCORE_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtCore  
QTCORE_LIBS = -L/opt/qt4-maemo5/lib -lQtCore  
QTDBUS_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtXml  
QTDBUS_LIBS = -L/opt/qt4-maemo5/lib -lQtDBus -lQtXml -lQtCore  
QTGUI_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtCore  
QTGUI_LIBS = -L/opt/qt4-maemo5/lib -lQtGui -lQtCore  
QTNETWORK_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtXml  
QTNETWORK_LIBS = -L/opt/qt4-maemo5/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore  
QTTEST_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtTest  
QTTEST_LIBS = -L/opt/qt4-maemo5/lib -lQtTest  
RANLIB = ranlib
RCC = /opt/qt4-maemo5/bin/rcc
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEST_PYTHON = /usr/bin/python2.5
TP_FARSIGHT_CFLAGS = -pthread -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gstreamer-0.10 -I/usr/lib/dbus-1.0/include -I/usr/include/libxml2  
TP_FARSIGHT_LIBS = -pthread -ltelepathy-farsight -lgstinterfaces-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
TP_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
TP_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
TP_QT4_CFLAGS = -I${top_builddir} -I${top_srcdir}
VERSION = 0.2.0
VERSION_SCRIPT_ARG = -Wl,--version-script
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = /usr/share/doc/libtelepathy-qt4-doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/telepathy-qt4
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/telepathy-qt4
pkgpythondir = ${pythondir}/telepathy-qt4
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
SUBDIRS = $(am__append_1)
AM_CPPFLAGS = -I$(top_builddir) -I$(top_srcdir) $(QTCORE_CFLAGS) \
	$(QTDBUS_CFLAGS) $(QTTEST_CFLAGS) $(TP_QT4_CFLAGS) \
	$(am__append_2)
AM_CFLAGS = $(ERROR_CFLAGS)
AM_CXXFLAGS = $(ERROR_CXXFLAGS)
noinst_LTLIBRARIES = libtp-qt4-tests.la $(am__append_3)
EXTRA_DIST = \
    account-manager.py

BUILT_SOURCES = \
    _gen/test.h.moc.hpp

CLEANFILES = $(BUILT_SOURCES)
libtp_qt4_tests_la_SOURCES = \
    test.cpp \
    test.h

libtp_qt4_tests_la_LIBADD = $(top_builddir)/TelepathyQt4/libtelepathy-qt4.la

=== tests/lib/callable/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tests/lib/callable/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Taken from telepathy-glib. The only change is to remove main.c and cut down
# the Makefile.am accordingly.
#
# PLEASE DO NOT MODIFY THIS CONNECTION MANAGER. Either subclass it,
# copy-and-modify (moving it to a better namespace), or make changes in the
# copy in telepathy-glib first.

srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/telepathy-qt4
pkglibdir = $(libdir)/telepathy-qt4
pkgincludedir = $(includedir)/telepathy-qt4
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
am__append_1 = $(TP_GLIB_CFLAGS)
am__append_2 = $(TP_GLIB_CFLAGS)
subdir = tests/lib/callable
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libexample_cm_callable_la_DEPENDENCIES =  \
	$(am__DEPENDENCIES_1)
am__libexample_cm_callable_la_SOURCES_DIST = conn.c conn.h \
	connection-manager.c connection-manager.h media-channel.c \
	media-channel.h media-manager.c media-manager.h media-stream.c \
	media-stream.h
am_libexample_cm_callable_la_OBJECTS =  \
	conn.lo connection-manager.lo \
	media-channel.lo media-manager.lo \
	media-stream.lo
libexample_cm_callable_la_OBJECTS =  \
	$(am_libexample_cm_callable_la_OBJECTS)
am_libexample_cm_callable_la_rpath =
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libexample_cm_callable_la_SOURCES)
DIST_SOURCES = $(am__libexample_cm_callable_la_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run automake-1.9
AWK = gawk
CC = cc -std=gnu99
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -mthumb
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DX_COND_chi_FALSE = 
DX_COND_chi_TRUE = #
DX_COND_chm_FALSE = 
DX_COND_chm_TRUE = #
DX_COND_doc_FALSE = #
DX_COND_doc_TRUE = 
DX_COND_dot_FALSE = #
DX_COND_dot_TRUE = 
DX_COND_html_FALSE = #
DX_COND_html_TRUE = 
DX_COND_latex_FALSE = 
DX_COND_latex_TRUE = #
DX_COND_man_FALSE = 
DX_COND_man_TRUE = #
DX_COND_pdf_FALSE = 
DX_COND_pdf_TRUE = #
DX_COND_ps_FALSE = 
DX_COND_ps_TRUE = #
DX_COND_rtf_FALSE = 
DX_COND_rtf_TRUE = #
DX_COND_xml_FALSE = 
DX_COND_xml_TRUE = #
DX_CONFIG = doxygen.cfg
DX_DOCDIR = doc
DX_DOT = /scratchbox/devkits/doctools/bin/dot
DX_DOXYGEN = /scratchbox/devkits/doctools/bin/doxygen
DX_DVIPS = 
DX_EGREP = 
DX_ENV =  SRCDIR='.' PROJECT='TelepathyQt4' DOCDIR='doc' VERSION='0.2.0' PERL_PATH='/scratchbox/tools/bin/perl' HAVE_DOT='YES' DOT_PATH='/scratchbox/devkits/doctools/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 1
DX_FLAG_html = 1
DX_FLAG_man = 0
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /scratchbox/tools/bin/perl
DX_PROJECT = TelepathyQt4
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_CODING_STYLE_CHECKS = no
ENABLE_TP_FARSIGHT_FALSE = #
ENABLE_TP_FARSIGHT_TRUE = 
ENABLE_TP_GLIB_TESTS_FALSE = #
ENABLE_TP_GLIB_TESTS_TRUE = 
ERROR_CFLAGS =  -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
ERROR_CXXFLAGS =  -Wall -Wextra -Wsign-compare -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
HAVE_QTGUI_FALSE = #
HAVE_QTGUI_TRUE = 
HAVE_TEST_PYTHON_FALSE = #
HAVE_TEST_PYTHON_TRUE = 
HAVE_VERSION_SCRIPT_ARG_FALSE = #
HAVE_VERSION_SCRIPT_ARG_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,-O1
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
MAKEINFO = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run makeinfo
MOC = /opt/qt4-maemo5/bin/moc
NMEDIT = 
OBJEXT = o
OFFICIAL_RELEASE_FALSE = #
OFFICIAL_RELEASE_TRUE = 
PACKAGE = telepathy-qt4
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Telepathy&component=telepathy-qt4
PACKAGE_NAME = Telepathy-Qt4
PACKAGE_STRING = Telepathy-Qt4 0.2.0
PACKAGE_TARNAME = telepathy-qt4
PACKAGE_VERSION = 0.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYTHON = /usr/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
QTCORE_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtCore  
QTCORE_LIBS = -L/opt/qt4-maemo5/lib -lQtCore  
QTDBUS_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtXml  
QTDBUS_LIBS = -L/opt/qt4-maemo5/lib -lQtDBus -lQtXml -lQtCore  
QTGUI_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtCore  
QTGUI_LIBS = -L/opt/qt4-maemo5/lib -lQtGui -lQtCore  
QTNETWORK_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtXml  
QTNETWORK_LIBS = -L/opt/qt4-maemo5/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore  
QTTEST_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtTest  
QTTEST_LIBS = -L/opt/qt4-maemo5/lib -lQtTest  
RANLIB = ranlib
RCC = /opt/qt4-maemo5/bin/rcc
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEST_PYTHON = /usr/bin/python2.5
TP_FARSIGHT_CFLAGS = -pthread -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gstreamer-0.10 -I/usr/lib/dbus-1.0/include -I/usr/include/libxml2  
TP_FARSIGHT_LIBS = -pthread -ltelepathy-farsight -lgstinterfaces-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
TP_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
TP_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
TP_QT4_CFLAGS = -I${top_builddir} -I${top_srcdir}
VERSION = 0.2.0
VERSION_SCRIPT_ARG = -Wl,--version-script
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = /usr/share/doc/libtelepathy-qt4-doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/telepathy-qt4
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/telepathy-qt4
pkgpythondir = ${pythondir}/telepathy-qt4
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
AM_CFLAGS = $(ERROR_CFLAGS) -I$(top_builddir) -I$(top_srcdir) \
	$(am__append_1)
AM_CXXFLAGS = $(ERROR_CXXFLAGS) $(am__append_2)
noinst_LTLIBRARIES = libexample-cm-callable.la
libexample_cm_callable_la_SOURCES = \
    conn.c \
    conn.h \
    connection-manager.c \
    connection-manager.h \
    media-channel.c \
    media-channel.h \
    media-manager.c \
    media-manager.h \
    media-stream.c \
    media-stream.h

libexample_cm_callable_la_LIBADD = \
	$(TP_GLIB_LIBS)

EXTRA_DIST = manager-file.py
BUILT_SOURCES = _gen/example_callable.manager _gen/param-spec-struct.h
CLEANFILES = $(BUILT_SOURCES)
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/lib/callable/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/lib/callable/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

=== tests/lib/contactlist/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tests/lib/contactlist/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Taken from telepathy-glib. The only change is to remove main.c and cut down
# the Makefile.am accordingly.
#
# PLEASE DO NOT MODIFY THIS CONNECTION MANAGER. Either subclass it,
# copy-and-modify (moving it to a better namespace), or make changes in the
# copy in telepathy-glib first.

srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/telepathy-qt4
pkglibdir = $(libdir)/telepathy-qt4
pkgincludedir = $(includedir)/telepathy-qt4
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
subdir = tests/lib/contactlist
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libexample_cm_contactlist_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_libexample_cm_contactlist_la_OBJECTS = conn.lo \
	connection-manager.lo contact-list.lo contact-list-manager.lo
libexample_cm_contactlist_la_OBJECTS =  \
	$(am_libexample_cm_contactlist_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libexample_cm_contactlist_la_SOURCES)
DIST_SOURCES = $(libexample_cm_contactlist_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run automake-1.9
AWK = gawk
CC = cc -std=gnu99
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -mthumb
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DX_COND_chi_FALSE = 
DX_COND_chi_TRUE = #
DX_COND_chm_FALSE = 
DX_COND_chm_TRUE = #
DX_COND_doc_FALSE = #
DX_COND_doc_TRUE = 
DX_COND_dot_FALSE = #
DX_COND_dot_TRUE = 
DX_COND_html_FALSE = #
DX_COND_html_TRUE = 
DX_COND_latex_FALSE = 
DX_COND_latex_TRUE = #
DX_COND_man_FALSE = 
DX_COND_man_TRUE = #
DX_COND_pdf_FALSE = 
DX_COND_pdf_TRUE = #
DX_COND_ps_FALSE = 
DX_COND_ps_TRUE = #
DX_COND_rtf_FALSE = 
DX_COND_rtf_TRUE = #
DX_COND_xml_FALSE = 
DX_COND_xml_TRUE = #
DX_CONFIG = doxygen.cfg
DX_DOCDIR = doc
DX_DOT = /scratchbox/devkits/doctools/bin/dot
DX_DOXYGEN = /scratchbox/devkits/doctools/bin/doxygen
DX_DVIPS = 
DX_EGREP = 
DX_ENV =  SRCDIR='.' PROJECT='TelepathyQt4' DOCDIR='doc' VERSION='0.2.0' PERL_PATH='/scratchbox/tools/bin/perl' HAVE_DOT='YES' DOT_PATH='/scratchbox/devkits/doctools/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 1
DX_FLAG_html = 1
DX_FLAG_man = 0
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /scratchbox/tools/bin/perl
DX_PROJECT = TelepathyQt4
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_CODING_STYLE_CHECKS = no
ENABLE_TP_FARSIGHT_FALSE = #
ENABLE_TP_FARSIGHT_TRUE = 
ENABLE_TP_GLIB_TESTS_FALSE = #
ENABLE_TP_GLIB_TESTS_TRUE = 
ERROR_CFLAGS =  -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
ERROR_CXXFLAGS =  -Wall -Wextra -Wsign-compare -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
HAVE_QTGUI_FALSE = #
HAVE_QTGUI_TRUE = 
HAVE_TEST_PYTHON_FALSE = #
HAVE_TEST_PYTHON_TRUE = 
HAVE_VERSION_SCRIPT_ARG_FALSE = #
HAVE_VERSION_SCRIPT_ARG_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,-O1
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
MAKEINFO = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run makeinfo
MOC = /opt/qt4-maemo5/bin/moc
NMEDIT = 
OBJEXT = o
OFFICIAL_RELEASE_FALSE = #
OFFICIAL_RELEASE_TRUE = 
PACKAGE = telepathy-qt4
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Telepathy&component=telepathy-qt4
PACKAGE_NAME = Telepathy-Qt4
PACKAGE_STRING = Telepathy-Qt4 0.2.0
PACKAGE_TARNAME = telepathy-qt4
PACKAGE_VERSION = 0.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYTHON = /usr/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
QTCORE_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtCore  
QTCORE_LIBS = -L/opt/qt4-maemo5/lib -lQtCore  
QTDBUS_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtXml  
QTDBUS_LIBS = -L/opt/qt4-maemo5/lib -lQtDBus -lQtXml -lQtCore  
QTGUI_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtCore  
QTGUI_LIBS = -L/opt/qt4-maemo5/lib -lQtGui -lQtCore  
QTNETWORK_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtXml  
QTNETWORK_LIBS = -L/opt/qt4-maemo5/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore  
QTTEST_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtTest  
QTTEST_LIBS = -L/opt/qt4-maemo5/lib -lQtTest  
RANLIB = ranlib
RCC = /opt/qt4-maemo5/bin/rcc
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEST_PYTHON = /usr/bin/python2.5
TP_FARSIGHT_CFLAGS = -pthread -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gstreamer-0.10 -I/usr/lib/dbus-1.0/include -I/usr/include/libxml2  
TP_FARSIGHT_LIBS = -pthread -ltelepathy-farsight -lgstinterfaces-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
TP_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
TP_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
TP_QT4_CFLAGS = -I${top_builddir} -I${top_srcdir}
VERSION = 0.2.0
VERSION_SCRIPT_ARG = -Wl,--version-script
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = /usr/share/doc/libtelepathy-qt4-doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/telepathy-qt4
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/telepathy-qt4
pkgpythondir = ${pythondir}/telepathy-qt4
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
noinst_LTLIBRARIES = libexample-cm-contactlist.la
libexample_cm_contactlist_la_SOURCES = \
    conn.c \
    conn.h \
    connection-manager.c \
    connection-manager.h \
    contact-list.c \
    contact-list.h \
    contact-list-manager.c \
    contact-list-manager.h

libexample_cm_contactlist_la_LIBADD = \
    $(TP_GLIB_LIBS)

AM_CFLAGS = \
    $(ERROR_CFLAGS) \
    $(TP_GLIB_CFLAGS)

EXTRA_DIST = manager-file.py
BUILT_SOURCES = _gen/param-spec-struct.h _gen/example_contact_list.manager
CLEANFILES = $(BUILT_SOURCES)
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/lib/contactlist/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/lib/contactlist/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)

=== tests/lib/csh/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tests/lib/csh/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/telepathy-qt4
pkglibdir = $(libdir)/telepathy-qt4
pkgincludedir = $(includedir)/telepathy-qt4
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
am__append_1 = $(TP_GLIB_CFLAGS)
am__append_2 = $(TP_GLIB_CFLAGS)
subdir = tests/lib/csh
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libtp_glib_csh_tests_la_DEPENDENCIES =  \
	$(am__DEPENDENCIES_1) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__libtp_glib_csh_tests_la_SOURCES_DIST = conn.c conn.h room.c room.h \
	room-manager.c room-manager.h
am_libtp_glib_csh_tests_la_OBJECTS =  \
	conn.lo room.lo room-manager.lo
libtp_glib_csh_tests_la_OBJECTS =  \
	$(am_libtp_glib_csh_tests_la_OBJECTS)
am_libtp_glib_csh_tests_la_rpath =
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libtp_glib_csh_tests_la_SOURCES)
DIST_SOURCES = $(am__libtp_glib_csh_tests_la_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run automake-1.9
AWK = gawk
CC = cc -std=gnu99
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -mthumb
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DX_COND_chi_FALSE = 
DX_COND_chi_TRUE = #
DX_COND_chm_FALSE = 
DX_COND_chm_TRUE = #
DX_COND_doc_FALSE = #
DX_COND_doc_TRUE = 
DX_COND_dot_FALSE = #
DX_COND_dot_TRUE = 
DX_COND_html_FALSE = #
DX_COND_html_TRUE = 
DX_COND_latex_FALSE = 
DX_COND_latex_TRUE = #
DX_COND_man_FALSE = 
DX_COND_man_TRUE = #
DX_COND_pdf_FALSE = 
DX_COND_pdf_TRUE = #
DX_COND_ps_FALSE = 
DX_COND_ps_TRUE = #
DX_COND_rtf_FALSE = 
DX_COND_rtf_TRUE = #
DX_COND_xml_FALSE = 
DX_COND_xml_TRUE = #
DX_CONFIG = doxygen.cfg
DX_DOCDIR = doc
DX_DOT = /scratchbox/devkits/doctools/bin/dot
DX_DOXYGEN = /scratchbox/devkits/doctools/bin/doxygen
DX_DVIPS = 
DX_EGREP = 
DX_ENV =  SRCDIR='.' PROJECT='TelepathyQt4' DOCDIR='doc' VERSION='0.2.0' PERL_PATH='/scratchbox/tools/bin/perl' HAVE_DOT='YES' DOT_PATH='/scratchbox/devkits/doctools/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 1
DX_FLAG_html = 1
DX_FLAG_man = 0
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /scratchbox/tools/bin/perl
DX_PROJECT = TelepathyQt4
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_CODING_STYLE_CHECKS = no
ENABLE_TP_FARSIGHT_FALSE = #
ENABLE_TP_FARSIGHT_TRUE = 
ENABLE_TP_GLIB_TESTS_FALSE = #
ENABLE_TP_GLIB_TESTS_TRUE = 
ERROR_CFLAGS =  -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
ERROR_CXXFLAGS =  -Wall -Wextra -Wsign-compare -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
HAVE_QTGUI_FALSE = #
HAVE_QTGUI_TRUE = 
HAVE_TEST_PYTHON_FALSE = #
HAVE_TEST_PYTHON_TRUE = 
HAVE_VERSION_SCRIPT_ARG_FALSE = #
HAVE_VERSION_SCRIPT_ARG_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,-O1
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
MAKEINFO = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run makeinfo
MOC = /opt/qt4-maemo5/bin/moc
NMEDIT = 
OBJEXT = o
OFFICIAL_RELEASE_FALSE = #
OFFICIAL_RELEASE_TRUE = 
PACKAGE = telepathy-qt4
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Telepathy&component=telepathy-qt4
PACKAGE_NAME = Telepathy-Qt4
PACKAGE_STRING = Telepathy-Qt4 0.2.0
PACKAGE_TARNAME = telepathy-qt4
PACKAGE_VERSION = 0.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYTHON = /usr/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
QTCORE_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtCore  
QTCORE_LIBS = -L/opt/qt4-maemo5/lib -lQtCore  
QTDBUS_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtXml  
QTDBUS_LIBS = -L/opt/qt4-maemo5/lib -lQtDBus -lQtXml -lQtCore  
QTGUI_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtCore  
QTGUI_LIBS = -L/opt/qt4-maemo5/lib -lQtGui -lQtCore  
QTNETWORK_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtXml  
QTNETWORK_LIBS = -L/opt/qt4-maemo5/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore  
QTTEST_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtTest  
QTTEST_LIBS = -L/opt/qt4-maemo5/lib -lQtTest  
RANLIB = ranlib
RCC = /opt/qt4-maemo5/bin/rcc
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEST_PYTHON = /usr/bin/python2.5
TP_FARSIGHT_CFLAGS = -pthread -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gstreamer-0.10 -I/usr/lib/dbus-1.0/include -I/usr/include/libxml2  
TP_FARSIGHT_LIBS = -pthread -ltelepathy-farsight -lgstinterfaces-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
TP_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
TP_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
TP_QT4_CFLAGS = -I${top_builddir} -I${top_srcdir}
VERSION = 0.2.0
VERSION_SCRIPT_ARG = -Wl,--version-script
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = /usr/share/doc/libtelepathy-qt4-doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/telepathy-qt4
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/telepathy-qt4
pkgpythondir = ${pythondir}/telepathy-qt4
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
AM_CFLAGS = $(ERROR_CFLAGS) -I$(top_builddir) -I$(top_srcdir) \
	$(am__append_1)
AM_CXXFLAGS = $(ERROR_CXXFLAGS) $(am__append_2)
noinst_LTLIBRARIES = libtp-glib-csh-tests.la
libtp_glib_csh_tests_la_SOURCES = \
    conn.c \
    conn.h \
    room.c \
    room.h \
    room-manager.c \
    room-manager.h

libtp_glib_csh_tests_la_LIBADD = \
    $(TP_GLIB_LIBS) \
    $(top_builddir)/tests/lib/libtp-glib-tests.la

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/lib/csh/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/lib/csh/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done

=== tests/lib/echo/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tests/lib/echo/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Taken from telepathy-glib. The only change is to remove main.c and cut down
# the Makefile.am accordingly.
#
# PLEASE DO NOT MODIFY THIS CONNECTION MANAGER. Either subclass it,
# copy-and-modify (moving it to a better namespace), or make changes in the
# copy in telepathy-glib first.

srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/telepathy-qt4
pkglibdir = $(libdir)/telepathy-qt4
pkgincludedir = $(includedir)/telepathy-qt4
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
subdir = tests/lib/echo
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libexample_cm_echo_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_libexample_cm_echo_la_OBJECTS = chan.lo conn.lo \
	connection-manager.lo im-manager.lo
libexample_cm_echo_la_OBJECTS = $(am_libexample_cm_echo_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libexample_cm_echo_la_SOURCES)
DIST_SOURCES = $(libexample_cm_echo_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run automake-1.9
AWK = gawk
CC = cc -std=gnu99
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -mthumb
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DX_COND_chi_FALSE = 
DX_COND_chi_TRUE = #
DX_COND_chm_FALSE = 
DX_COND_chm_TRUE = #
DX_COND_doc_FALSE = #
DX_COND_doc_TRUE = 
DX_COND_dot_FALSE = #
DX_COND_dot_TRUE = 
DX_COND_html_FALSE = #
DX_COND_html_TRUE = 
DX_COND_latex_FALSE = 
DX_COND_latex_TRUE = #
DX_COND_man_FALSE = 
DX_COND_man_TRUE = #
DX_COND_pdf_FALSE = 
DX_COND_pdf_TRUE = #
DX_COND_ps_FALSE = 
DX_COND_ps_TRUE = #
DX_COND_rtf_FALSE = 
DX_COND_rtf_TRUE = #
DX_COND_xml_FALSE = 
DX_COND_xml_TRUE = #
DX_CONFIG = doxygen.cfg
DX_DOCDIR = doc
DX_DOT = /scratchbox/devkits/doctools/bin/dot
DX_DOXYGEN = /scratchbox/devkits/doctools/bin/doxygen
DX_DVIPS = 
DX_EGREP = 
DX_ENV =  SRCDIR='.' PROJECT='TelepathyQt4' DOCDIR='doc' VERSION='0.2.0' PERL_PATH='/scratchbox/tools/bin/perl' HAVE_DOT='YES' DOT_PATH='/scratchbox/devkits/doctools/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 1
DX_FLAG_html = 1
DX_FLAG_man = 0
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /scratchbox/tools/bin/perl
DX_PROJECT = TelepathyQt4
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_CODING_STYLE_CHECKS = no
ENABLE_TP_FARSIGHT_FALSE = #
ENABLE_TP_FARSIGHT_TRUE = 
ENABLE_TP_GLIB_TESTS_FALSE = #
ENABLE_TP_GLIB_TESTS_TRUE = 
ERROR_CFLAGS =  -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
ERROR_CXXFLAGS =  -Wall -Wextra -Wsign-compare -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
HAVE_QTGUI_FALSE = #
HAVE_QTGUI_TRUE = 
HAVE_TEST_PYTHON_FALSE = #
HAVE_TEST_PYTHON_TRUE = 
HAVE_VERSION_SCRIPT_ARG_FALSE = #
HAVE_VERSION_SCRIPT_ARG_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,-O1
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
MAKEINFO = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run makeinfo
MOC = /opt/qt4-maemo5/bin/moc
NMEDIT = 
OBJEXT = o
OFFICIAL_RELEASE_FALSE = #
OFFICIAL_RELEASE_TRUE = 
PACKAGE = telepathy-qt4
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Telepathy&component=telepathy-qt4
PACKAGE_NAME = Telepathy-Qt4
PACKAGE_STRING = Telepathy-Qt4 0.2.0
PACKAGE_TARNAME = telepathy-qt4
PACKAGE_VERSION = 0.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYTHON = /usr/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
QTCORE_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtCore  
QTCORE_LIBS = -L/opt/qt4-maemo5/lib -lQtCore  
QTDBUS_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtXml  
QTDBUS_LIBS = -L/opt/qt4-maemo5/lib -lQtDBus -lQtXml -lQtCore  
QTGUI_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtCore  
QTGUI_LIBS = -L/opt/qt4-maemo5/lib -lQtGui -lQtCore  
QTNETWORK_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtXml  
QTNETWORK_LIBS = -L/opt/qt4-maemo5/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore  
QTTEST_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtTest  
QTTEST_LIBS = -L/opt/qt4-maemo5/lib -lQtTest  
RANLIB = ranlib
RCC = /opt/qt4-maemo5/bin/rcc
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEST_PYTHON = /usr/bin/python2.5
TP_FARSIGHT_CFLAGS = -pthread -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gstreamer-0.10 -I/usr/lib/dbus-1.0/include -I/usr/include/libxml2  
TP_FARSIGHT_LIBS = -pthread -ltelepathy-farsight -lgstinterfaces-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
TP_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
TP_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
TP_QT4_CFLAGS = -I${top_builddir} -I${top_srcdir}
VERSION = 0.2.0
VERSION_SCRIPT_ARG = -Wl,--version-script
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = /usr/share/doc/libtelepathy-qt4-doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/telepathy-qt4
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/telepathy-qt4
pkgpythondir = ${pythondir}/telepathy-qt4
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
noinst_LTLIBRARIES = libexample-cm-echo.la
libexample_cm_echo_la_SOURCES = \
    chan.c \
    chan.h \
    conn.c \
    conn.h \
    connection-manager.c \
    connection-manager.h \
    im-manager.c \
    im-manager.h

libexample_cm_echo_la_LIBADD = \
    $(TP_GLIB_LIBS)

AM_CFLAGS = \
    $(ERROR_CFLAGS) \
    $(TP_GLIB_CFLAGS)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/lib/echo/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/lib/echo/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libexample-cm-echo.la: $(libexample_cm_echo_la_OBJECTS) $(libexample_cm_echo_la_DEPENDENCIES)

=== tests/lib/echo2/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tests/lib/echo2/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/telepathy-qt4
pkglibdir = $(libdir)/telepathy-qt4
pkgincludedir = $(includedir)/telepathy-qt4
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
am__append_1 = $(TP_GLIB_CFLAGS)
am__append_2 = $(TP_GLIB_CFLAGS)
subdir = tests/lib/echo2
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libtp_glib_echo2_tests_la_DEPENDENCIES =  \
	$(am__DEPENDENCIES_1) \
	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__libtp_glib_echo2_tests_la_SOURCES_DIST = chan.c chan.h conn.c \
	conn.h im-manager.c im-manager.h
am_libtp_glib_echo2_tests_la_OBJECTS =  \
	chan.lo conn.lo im-manager.lo
libtp_glib_echo2_tests_la_OBJECTS =  \
	$(am_libtp_glib_echo2_tests_la_OBJECTS)
am_libtp_glib_echo2_tests_la_rpath =
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libtp_glib_echo2_tests_la_SOURCES)
DIST_SOURCES = $(am__libtp_glib_echo2_tests_la_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run automake-1.9
AWK = gawk
CC = cc -std=gnu99
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -mthumb
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DX_COND_chi_FALSE = 
DX_COND_chi_TRUE = #
DX_COND_chm_FALSE = 
DX_COND_chm_TRUE = #
DX_COND_doc_FALSE = #
DX_COND_doc_TRUE = 
DX_COND_dot_FALSE = #
DX_COND_dot_TRUE = 
DX_COND_html_FALSE = #
DX_COND_html_TRUE = 
DX_COND_latex_FALSE = 
DX_COND_latex_TRUE = #
DX_COND_man_FALSE = 
DX_COND_man_TRUE = #
DX_COND_pdf_FALSE = 
DX_COND_pdf_TRUE = #
DX_COND_ps_FALSE = 
DX_COND_ps_TRUE = #
DX_COND_rtf_FALSE = 
DX_COND_rtf_TRUE = #
DX_COND_xml_FALSE = 
DX_COND_xml_TRUE = #
DX_CONFIG = doxygen.cfg
DX_DOCDIR = doc
DX_DOT = /scratchbox/devkits/doctools/bin/dot
DX_DOXYGEN = /scratchbox/devkits/doctools/bin/doxygen
DX_DVIPS = 
DX_EGREP = 
DX_ENV =  SRCDIR='.' PROJECT='TelepathyQt4' DOCDIR='doc' VERSION='0.2.0' PERL_PATH='/scratchbox/tools/bin/perl' HAVE_DOT='YES' DOT_PATH='/scratchbox/devkits/doctools/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 1
DX_FLAG_html = 1
DX_FLAG_man = 0
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /scratchbox/tools/bin/perl
DX_PROJECT = TelepathyQt4
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_CODING_STYLE_CHECKS = no
ENABLE_TP_FARSIGHT_FALSE = #
ENABLE_TP_FARSIGHT_TRUE = 
ENABLE_TP_GLIB_TESTS_FALSE = #
ENABLE_TP_GLIB_TESTS_TRUE = 
ERROR_CFLAGS =  -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
ERROR_CXXFLAGS =  -Wall -Wextra -Wsign-compare -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
HAVE_QTGUI_FALSE = #
HAVE_QTGUI_TRUE = 
HAVE_TEST_PYTHON_FALSE = #
HAVE_TEST_PYTHON_TRUE = 
HAVE_VERSION_SCRIPT_ARG_FALSE = #
HAVE_VERSION_SCRIPT_ARG_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,-O1
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
MAKEINFO = ${SHELL} /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/missing --run makeinfo
MOC = /opt/qt4-maemo5/bin/moc
NMEDIT = 
OBJEXT = o
OFFICIAL_RELEASE_FALSE = #
OFFICIAL_RELEASE_TRUE = 
PACKAGE = telepathy-qt4
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Telepathy&component=telepathy-qt4
PACKAGE_NAME = Telepathy-Qt4
PACKAGE_STRING = Telepathy-Qt4 0.2.0
PACKAGE_TARNAME = telepathy-qt4
PACKAGE_VERSION = 0.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYTHON = /usr/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
QTCORE_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtCore  
QTCORE_LIBS = -L/opt/qt4-maemo5/lib -lQtCore  
QTDBUS_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtXml  
QTDBUS_LIBS = -L/opt/qt4-maemo5/lib -lQtDBus -lQtXml -lQtCore  
QTGUI_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtCore  
QTGUI_LIBS = -L/opt/qt4-maemo5/lib -lQtGui -lQtCore  
QTNETWORK_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtXml  
QTNETWORK_LIBS = -L/opt/qt4-maemo5/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore  
QTTEST_CFLAGS = -DQT_SHARED -I/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtTest  
QTTEST_LIBS = -L/opt/qt4-maemo5/lib -lQtTest  
RANLIB = ranlib
RCC = /opt/qt4-maemo5/bin/rcc
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEST_PYTHON = /usr/bin/python2.5
TP_FARSIGHT_CFLAGS = -pthread -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gstreamer-0.10 -I/usr/lib/dbus-1.0/include -I/usr/include/libxml2  
TP_FARSIGHT_LIBS = -pthread -ltelepathy-farsight -lgstinterfaces-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
TP_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
TP_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
TP_QT4_CFLAGS = -I${top_builddir} -I${top_srcdir}
VERSION = 0.2.0
VERSION_SCRIPT_ARG = -Wl,--version-script
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = /usr/share/doc/libtelepathy-qt4-doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/kathy/sb/fremantle/telepathy-qt4-0.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/telepathy-qt4
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/telepathy-qt4
pkgpythondir = ${pythondir}/telepathy-qt4
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
AM_CFLAGS = $(ERROR_CFLAGS) -I$(top_builddir) -I$(top_srcdir) \
	$(am__append_1)
AM_CXXFLAGS = $(ERROR_CXXFLAGS) $(am__append_2)
noinst_LTLIBRARIES = libtp-glib-echo2-tests.la
libtp_glib_echo2_tests_la_SOURCES = \
    chan.c \
    chan.h \
    conn.c \
    conn.h \
    im-manager.c \
    im-manager.h

libtp_glib_echo2_tests_la_LIBADD = \
    $(TP_GLIB_LIBS) \
    $(top_builddir)/tests/lib/libtp-glib-tests.la

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/lib/echo2/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/lib/echo2/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done

=== debian/changelog ===
telepathy-qt4 (0.2.0-1maemo5) fremantle; urgency=low

  * Fremantle version compile with  for Qt4.6 ( libqt4-maemo5 )

 -- Kate Alhola <kate.alhola@nokia.com>  Sun, 7 Feb 2010 14:00:00 +0200

telepathy-qt4 (0.2.0-1maemo2+0m6) harmattan; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m6 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Thu, 19 Nov 2009 10:17:32 +0200

telepathy-qt4 (0.2.0-1maemo2) harmattan; urgency=low

  * Fixes: NB#147065 - libtelepathy-qt4 does not compile with libqt4 (patch should be
    removed on next upstream release).

 -- Andre Moreira Magalhaes <andre.magalhaes@collabora.co.uk>  Wed, 18 Nov 2009 09:36:17 -0200

telepathy-qt4 (0.2.0-1maemo1) harmattan; urgency=low

  * Sync packaging from Debian to get the shared libraries packaged correctly
    (0.2.0-0maemo1 didn't work at all)
  * Fixes: NB#143435 - libtelepathy-qt4 needs to be a shared library

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Wed, 11 Nov 2009 13:26:12 +0000

telepathy-qt4 (0.2.0-0maemo1) harmattan; urgency=low

  * New upstream release
  * Connection: Changed status/statusReason/statusChanged to use enums
    Tp::Connection::Status and ConnectionStatusReason.
  * Connection: Renamed getContactAttributes method to contactAttributes.
  * fd.o#23370: Make better use of telepathy-spec 0.17.27 errors.
  * fd.o#24422: Account removal should be represented by
    TELEPATHY_QT4_ERROR_OBJECT_REMOVED.
  * Implemented: SWP#RTCHM-1164

 -- Andre Moreira Magalhaes <andre.magalhaes@collabora.co.uk>  Wed, 11 Nov 2009 00:50:09 -0200

telepathy-qt4 (0.1.12-0maemo1) harmattan; urgency=low

  * New upstream release
  * TextChannel: Added ChatState interface support.
  * TextChannel: send() methods now receive a flags parameter, so we proper
    support delivery reports.
  * pkgconfig: Added missing QtNetwork dependency.
  * Implemented: SWP#RTCHM-274

 -- Andre Moreira Magalhaes <andre.magalhaes@collabora.co.uk>  Thu, 05 Nov 2009 15:27:11 -0200

telepathy-qt4 (0.1.11-0maemo1) harmattan; urgency=low

  * New upstream release
  * FileTransferChannel: Added methods to access FileTransfer interface
    properties.
  * IncomingFileTransferChannel: Added specialized class for handling incoming
    file transfers.
  * OutgoingFileTransferChannel: Added specialized class for handling outgoing
    file transfers.
  * CapabilitiesBase: Added base class to represent contact/connection
    capabilities.
  * ContactCapabilities: Added specialized class that inherits CapabilitiesBase to
    represent contact capabilities.
  * ConnectionCapabilities: Added specialized class that inherits CapabilitiesBase
    to represent connection capabilities.
  * Contact: Added ContactCapabilities interface support.
  * Connection: Added capabilities (RequestableChannelClasses) support.
  * Account: Added ensureAudio/VideoCall methods that make use of
    InitialAudio/Video properties when creating StreamedMedia channels.
  * Channel: Added streamTubeInterface/tubeInterface methods.
    (Patch from Abner Silva <abner.silva@collabora.co.uk>).
  * PendingVariant: Added pending operation helper class for D-Bus methods that
    return a variant as result.
  * Renamed PendingVoidMethodCall to PendingVoid.
  * Changed PendingVoid/Success/Failure constructor to receive parent as last
    parameter.
  * Added examples for handling incoming/outgoing file transfers,
    examples/file-transfer/
  * Added C++ visibility support.
  * Updated to 0.18.0 spec.
  * fd.o #24324: Account::create/ensureXXX should receive a const QDateTime & for
    userActionTime
  * Explicitly use uint for TargetHandleType.
  * Implemented: SWP#RTCHM-280, SWP#RTCHM-970, SWP#RTCHM-936, SWP#RTCHM-1023,
    SWP#RTCHM-281

 -- Andre Moreira Magalhaes <andre.magalhaes@collabora.co.uk>  Mon, 12 Oct 2009 15:58:46 -0300

telepathy-qt4 (0.1.10-0maemo2) harmattan; urgency=low

  * Make sure TargetHandle and TargetHandleType use uint (patches should be
    removed on next upstream release).

 -- Andre Moreira Magalhaes <andre.magalhaes@collabora.co.uk>  Fri, 11 Sep 2009 12:07:09 -0300

telepathy-qt4 (0.1.10-0maemo1) harmattan; urgency=low

  * New upstream release
  * StreamedMediaChannel: Added Hold and DTMF interface support.
  * Moved OptionalInterfaceFactory::InterfaceSupportedChecking docs from DBusProxy
    to OptionalInterfaceFactory.
  * Use struct Private instead of class Private for consistence.
  * Removed cli/Client from header guards.
  * fd.o #20269: Channel's Contact objects should initially have no features.
  * fd.o #21335: Implement Group self-handle removal reasons.
  * fd.o #23040: Running connection managers appear twice in
    ConnectionManager::listNames result.
  * fd.o #23282: Channel should update ReadinessHelper with the supported
    interfaces.
  * Implemented: SWP#RTCHM-276, SWP#RTCHM-275, SWP#RTCHM-571, SWP#RTCHM-862

 -- Andre Moreira Magalhaes <andre.magalhaes@collabora.co.uk>  Tue, 25 Aug 2009 23:27:02 -0300

telepathy-qt4 (0.1.9-0maemo2) harmattan; urgency=low

  * Remove references to the TpPrototype library, which is no longer here.
    This should fix the build.

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Tue, 28 Jul 2009 16:17:04 +0100

telepathy-qt4 (0.1.9-0maemo1) harmattan; urgency=low

  * New upstream release
  * OptionalInterfaceFactory: Added methods interfaces and optionalInterface
    and removed duplicated code in all OptionalInterfaceFactory subclasses.
  * Added ContactManager allKnownGroups, addGroup, removeGroup, groupContacts,
    addContactsToGroup and removeContactsFromGroup methods.
  * Added ContactManager groupAdded, groupRemoved and groupMembersChanged signals.
  * Added Contact groups, addToGroup and removeFromGroup methods.
  * Added Contact addedToGroup and removedFromGroup signals.
  * Changed ProtocolParameter requiredForRegistration method to
    isRequiredForRegistration to make it consistent with other bool returning
    getters.


=== debian/control ===
Source: telepathy-qt4
Section: libs
Priority: optional
Maintainer: Simon McVittie <simon.mcvittie@collabora.co.uk>
XSBC-Original-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>
Build-Depends: cdbs,
               debhelper (>= 5),
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev,
               libqt4-maemo5-dev (>= 4.5.0),
               libtelepathy-farsight-dev (>= 0.0.4),
               libtelepathy-glib-dev (>= 0.7.28),
               pkg-config (>= 0.21),
               python,
               python-dbus,
               python-dev,
               python-gobject,
               python-xml,
               autoconf,
               automake1.9,
               libtool
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-qt4.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-qt4.git
Homepage: http://telepathy.freedesktop.org/wiki/

Package: libtelepathy-qt4-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy framework - Qt 4 library
 This package contains telepathy-qt4, a Qt-based library for Telepathy
 components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt4-farsight0
Architecture: any
Depends: libtelepathy-qt4-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Telepathy/Farsight integration - Qt 4 library
 telepathy-qt4-farsight provides telepathy-qt4 integration with
 telepathy-farsight, which implements media streaming using GStreamer and
 Farsight.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt4-dev
Architecture: any
Section: libdevel
Depends: libqt4-maemo5-dev (>= 4.5.0),
         libtelepathy-qt4-0 (= ${binary:Version}),
         libtelepathy-qt4-farsight0 (= ${binary:Version}),
         pkg-config (>= 0.21),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libtelepathy-qt4-doc
Description: Qt 4 Telepathy library (headers and static library)
 This package contains development files for telepathy-qt4, a Qt-based
 library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt4-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libtelepathy-qt4-0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libtelepathy-qt4-farsight0 (= ${binary:Version})
Description: Qt 4 Telepathy library (debug symbols)
 This package contains support for debugging programs that use telepathy-qt4,
 a Qt-based library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt4-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 4 Telepathy library (documentation)
 This package contains HTML documentation for telepathy-qt4, a Qt-based
 library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
